package cn.yyxx.eyuancomm.comm.impl

import android.content.Context

/**
 * @author #Suyghur.
 * Created on 2021/06/09
 */
class CommSdkDrive {

    init {
        System.loadLibrary("eyuancomm")
    }

    external fun initSdkDrive(context: Context)

    external fun setCommParam(key: String, value: String)

    external fun getCommParam(key: String): String

    external fun invokeCommJob(key: String, data: String): String

    external fun parseJob(key: String, data: String): String

    external fun getCommMap(): String

    companion object {
        val instance: CommSdkDrive by lazy(mode = LazyThreadSafetyMode.SYNCHRONIZED) {
            CommSdkDrive()
        }
    }
}